## libtar 1.2.11

=== debian/changelog ===
libtar (1.2.11-8) unstable; urgency=low

  * libtool.patch: Set SHELL to the configured shell in those Makefile.in
    where libtool is used; otherwise libtool fails when /bin/sh is dash
    but bash is expected (Closes: #621935).
  * man_hyphen_minus.patch (new): Escape hyphens that should be minus
    signs in man pages.
  * Rename libtar as libtar0 to follow policy.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 24 Apr 2011 21:11:52 +0200

libtar (1.2.11-7) unstable; urgency=low

  * New maintainer (Closes: #526618).
  * Change source format to 3.0 (quilt), clean up Debian diff and split
    into several patches:
    * libtool.patch: Using libtool to build dynamic library;
    * autoreconf.patch: Changes needed to call autoreconf (bug 511741);
    * memleak.patch: Fix memory leaks;
    * bad_ptrtoint.patch: Document stupidity of tartype_t in libtar.c 
      (bug 309945).
  * Increase Debhelper compat level to 7.
  * Use dh_autoreconf to avoid having to keep track of files to clean.
  * memleak2.patch (new): Applied instead of memleak.patch. Fix memory
    leak by making th_get_pathname() return a pointer to a static buffer
    instead of a pointer to a copy of a local buffer (LP: #41804).
  * Add homepage field and watch file (in case there is ever a new
    upstream release).
  * Upgrade to Standards-Version 3.9.1.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 26 Mar 2011 23:10:25 +0100

libtar (1.2.11-6) unstable; urgency=low

  * Fix autotools usage (Closes: #511741)

 -- Julien Danjou <acid@debian.org>  Sat, 02 May 2009 11:33:06 +0200

libtar (1.2.11-5) unstable; urgency=low

  * New maintainer (Closes: #465889)
  * Add missing binary-indep target in debian/rules (Closes: #395714)
  * Use ${binary:Version} instead of Source-Version
  * Bump standard version
  * Switch to debhelper 5

 -- Julien Danjou <acid@debian.org>  Wed, 02 Apr 2008 07:06:55 +0200

libtar (1.2.11-4) unstable; urgency=low

  * Always include the newest libtool.m4.  (Closes: #313612)

 -- James Morrison <phython@debian.org>  Sun, 28 Aug 2005 09:41:47 -0700

libtar (1.2.11-3) unstable; urgency=low

  * Document stupidity of tartype_t in libtar.c.  (Closes: #309945)

 -- James Morrison <phython@debian.org>  Sat, 11 Jun 2005 18:23:15 -0400

libtar (1.2.11-2) unstable; urgency=low

  * Move libtar-dev to libdevel. (Closes: #188207)
  * Fix potential memory leak.

 -- James Morrison <phython@debian.org>  Sun, 25 Jul 2004 12:59:08 -0700

libtar (1.2.11-1) unstable; urgency=low

  * New Upstream release.

 -- James Morrison <phython@debian.org>  Sat,  5 Apr 2003 14:03:19 -0500

libtar (1.2.10-1) unstable; urgency=low

  * New Upstream release.
     (Closes: #166602) New upstream uses autoconf 2.5x
  * Remove dependency on automake.  Hopefully upstream will except this
    use of libtool.
  * Remove all -static and -shared targets from debian/rules.
  * Use dh_install instead of dh_movefiles.
  * -

 -- James Morrison <phython@debian.org>  Sat,  5 Apr 2003 14:03:16 -0500

libtar (1.2.5-4) unstable; urgency=low

  * New maintainer. (Closes: #154597)
  * WSG_ENCAP is now defined.  (Closes: #147764)
  * libtar-dev depends on libc-dev instead of libc6-dev. 

 -- James Morrison <phython@debian.org>  Wed, 14 Aug 2002 23:44:16 -0400

libtar (1.2.5-3) unstable; urgency=low

  * Modify build commands to acomadate change in autoconf (Closes #147764)

 -- Glenn McGrath <bug1@debian.org>  Thu, 23 May 2002 01:06:16 +1000

libtar (1.2.5-2) unstable; urgency=low

  * Fix build problem (Closes #135360)

 -- Glenn McGrath <bug1@debian.org>  Sun, 24 Feb 2002 06:29:31 +1100

libtar (1.2.5-1) unstable; urgency=low

  * New upstream version
  * Change section of libtar-dev to devel and libtar to libs

 -- Glenn McGrath <bug1@debian.org>  Fri, 22 Feb 2002 04:23:15 +1100

libtar (1.2.4-2) unstable; urgency=low

  * Change section from devel to libs 

 -- Glenn McGrath <bug1@debian.org>  Sat,  2 Feb 2002 12:12:32 +1100

libtar (1.2.4-1) unstable; urgency=low

  * Initial Release. (closes #128042)

 -- Glenn McGrath <bug1@debian.org>  Sat,  5 Jan 2002 13:24:37 +1100
