=== debian/control ===
Source: libtar
Section: libs
Priority: optional
Maintainer: Magnus Holmgren <holmgren@debian.org>
Build-Depends: debhelper (>= 7), dh-autoreconf, autoconf, libtool
Standards-Version: 3.9.2
Homepage: http://www.feep.net/libtar/

Package: libtar-dev
Architecture: any
Section: libdevel
Depends: libtar0 (= ${binary:Version}), ${misc:Depends}
Description: C library for manipulating tar archives (development files)
 Contains static library, headers, example code and development manpages
 for libtar

Package: libtar0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libtar
Breaks: libtar
Provides: libtar
Description: C library for manipulating tar archives
 libtar allows programs to create, extract and test tar archives.
 It supports both the strict POSIX tar format and many of the commonly-used
 GNU extensions.
