=== debian/rules ===
#!/usr/bin/make -f

export LIBTOOLIZE = libtoolize --install

configure: configure-stamp
configure-stamp:
	dh_testdir
	[ -f debian/autoreconf.before ] || dh_autoreconf
	./configure \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man 
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	# Stale build files
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -f build-stamp configure-stamp
	dh_autoreconf_clean
	dh_clean libtool configure

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: build install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp

	dh_installdocs
	dh_installexamples
	dh_installman 
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
