=== debian/watch ===
version=3

ftp://ftp.feep.net/pub/software/libtar/libtar-(.*).tar.gz
