## libtar 1.2.16

=== debian/changelog ===
libtar (1.2.16-1+deb7u2) wheezy-security; urgency=low

  * [SECURITY] CVE-2013-4420.patch: Strip out leading slashes and any
    pathname prefix containing ".." components (Closes: #731860). This is
    done in th_get_pathname() (as well as to symlink targets when
    extracting symlinks), not merely when extracting files, which means
    applications calling that function will not see the stored
    filename. There is no way to disable this behaviour, but it can be
    expected that one will be provided when the issue is solved upstream.
  * th_get_size-unsigned-int.patch: Make the th_get_size() macro cast the
    result from oct_to_int() to unsigned int. This is the right fix for
    bug #725938 on 64-bit systems, where a specially crafted tar file
    would not cause an integer overflow, but a memory allocation of almost
    16 exbibytes, which would certainly fail outright without harm.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 16 Feb 2014 19:12:18 +0100

libtar (1.2.16-1+deb7u1) wheezy-security; urgency=low

  * [SECURITY] size_t-overflow_cve-2013-4397.patch: Fix CVE-2013-4397:
    Integer overflow (Closes: #725938).

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 10 Oct 2013 20:23:17 +0200

libtar (1.2.16-1) unstable; urgency=low

  * New upstream: Chris Frey has stepped up with the consent of the
    original author, Mark Roth, and published an "official unofficial" git
    repo at http://repo.or.cz/w/libtar.git, which I will use for the time
    being.
  * Updated debian/watch to look for tags and corresponding snapshot
    tarballs at above URL.
  * All patches have been incorporated or (in the case of
    autoreconf.patch) made obsolete upstream.
  * debian/rules: Add build-indep and build-arch targets.
  * Updated debian/copyright.
  * Use dpkg-buildflags to set CFLAGS et al.
  * debian/control: Add VCS fields; bump Standards-Version to 3.9.3.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 23 Jun 2012 01:03:41 +0200
