=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Magnus Holmgren <holmgren@debian.org>
-Build-Depends: debhelper (>= 7), dh-autoreconf, autoconf, libtool
-Standards-Version: 3.9.2
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7), dh-autoreconf,
+ autoconf, libtool
+Standards-Version: 3.9.3
 Homepage: http://www.feep.net/libtar/
+Vcs-Browser: http://svn.kibibyte.se/libtar
+Vcs-Svn: svn://svn.kibibyte.se/libtar/trunk
 
 Package: libtar-dev
 Architecture: any
