## libtar 1.2.19

=== debian/changelog ===
libtar (1.2.19-1) unstable; urgency=low

  * New upstream release.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 05 May 2013 17:59:29 +0200
