## libtar 1.2.20

=== debian/changelog ===
libtar (1.2.20-8+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * CVE-2021-33643: out-of-bounds read in gnu_longlink()
  * CVE-2021-33644: out-of-bounds read in gnu_longname()
  * CVE-2021-33645: memory leak in th_read()
  * CVE-2021-33646: memory leak in th_read()

 -- Adrian Bunk <bunk@debian.org>  Mon, 20 Jan 2025 11:39:12 +0200

libtar (1.2.20-8) unstable; urgency=low

  * Convert debian/rules to modern dh style and upgrade to compat level
    11, enabling Multi-Arch.
  * testsuite.patch: Don't create testsuite/Makefile with autoconf; add
    empty clean and distclean targets to it so that cleaning and building
    twice works.
  * Bump Standards-Version to 4.4.0.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 25 Aug 2019 18:49:41 +0200

libtar (1.2.20-7) unstable; urgency=low

  * no_strip.patch: make install must not strip binaries; it breaks cross
    compilation and is against policy with regard to build options.
  * Pass --build and --host to configure as appropriate to enable cross
    compilation (Closes: #839883).
  * Change Homepage to http://repo.or.cz/w/libtar.git since www.feep.net
    is gone.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 11 Oct 2016 23:12:49 +0200

libtar (1.2.20-6) unstable; urgency=low

  * Drop libtar/Makefile from examples, since it makes the build
    unreproducible (saves $SHELL) and isn't enough to compile libtar.c
    anyway.
  * Bump Standards-Version to 3.9.8.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 01 Aug 2016 22:52:44 +0200

libtar (1.2.20-5) unstable; urgency=low

  * oldgnu_prefix.patch: Detect old-style GNU headers correctly (Closes:
    #763119). Those appear in incremental archives and use the bytes that
    the new-style headers use for the prefix field for other fields.
    Thanks to Steinar H. Gunderson.
  * testsuite.patch: Add a simple test (Closes: #737258).
  * Bump Standards-Version to 3.9.7.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 25 Mar 2016 19:12:23 +0100

libtar (1.2.20-4) unstable; urgency=high

  * no_maxpathlen.patch: Half of the part of the patch modifying
    compat/dirname.c was missing, causing libtar's dirname to always
    return NULL (except in special circumstances). Actually make it work
    (Closes: #745352). (The reason that libtar doesn't use libc's
    dirname() and basename() on some or most platforms is that the code
    doesn't work with destructive versions of these functions).

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 03 May 2014 20:39:02 +0200

libtar (1.2.20-3) unstable; urgency=low

  * no_maxpathlen.patch: Fix two grave bugs in the patch. First,
    th_get_pathname would only allocate as much memory as was needed for
    the first filename encountered, causing heap corruption when/if
    encountering longer filenames later. Second, two variables were mixed
    up in tar_append_tree(). Also, fix a potential memory leak and trim
    the patch a bit.
  * [SECURITY] CVE-2013-4420.patch: When the prefix field is in use, the
    safer_name_suffix() function should certainly be applied to the
    combination of it and the name field, not just on the name field.
  * th_get_size-unsigned-int.patch: Make the th_get_size() macro cast the
    result from oct_to_int() to unsigned int. This is the right fix for
    bug #725938 on 64-bit systems, where a specially crafted tar file
    would not cause an integer overflow, but a memory allocation of almost
    16 exbibytes, which would certainly fail outright without harm.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 15 Feb 2014 23:51:51 +0100

libtar (1.2.20-2) unstable; urgency=low

  * no_static_buffers.patch: avoid using a static buffer in
    th_get_pathname(). Taken from upstream. Needed for no_maxpathlen.patch.
  * no_maxpathlen.patch: Fix FTBFS on Hurd by dynamically allocating path
    names (Closes: #657116). Thanks to Svante Signell and Petter
    Reinholdtsen.
  * [SECURITY] CVE-2013-4420.patch: Strip out leading slashes and any
    pathname prefix containing ".." components (Closes: #731860). This is
    done in th_get_pathname() (as well as to symlink targets when
    extracting symlinks), not merely when extracting files, which means
    applications calling that function will not see the stored
    filename. There is no way to disable this behaviour, but it can be
    expected that one will be provided when the issue is solved upstream.
  * Bump Standards-Version to 3.9.5.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 15 Feb 2014 21:49:37 +0100

libtar (1.2.20-1) unstable; urgency=high

  * [SECURITY] New upstream release. Fixes CVE-2013-4397: Integer
    overflow (Closes: #725938).
  * Bump Standards-Version to 3.9.4.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 10 Oct 2013 19:20:49 +0200
