=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: libs
 Priority: optional
 Maintainer: Magnus Holmgren <holmgren@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7), dh-autoreconf,
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 11~), automake,
  autoconf, libtool
-Standards-Version: 3.9.3
-Homepage: http://www.feep.net/libtar/
+Standards-Version: 4.4.0
+Homepage: http://repo.or.cz/w/libtar.git
 Vcs-Browser: http://svn.kibibyte.se/libtar
 Vcs-Svn: svn://svn.kibibyte.se/libtar/trunk
 
 Package: libtar-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libtar0 (= ${binary:Version}), ${misc:Depends}
 Description: C library for manipulating tar archives (development files)
@@ -19,6 +20,7 @@
 
 Package: libtar0
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libtar
 Breaks: libtar
